Subject: Re: Copy of reserved bits from SYN into SYN-ACK

From: Sally Floyd <[email-masked]>
Date: Tue, 30 Oct 2001 17:00:57 -0800

Joe -

>Is there anything preventing sending both SYNs at the same time?
>(that way the timeout could be avoided, and the unused connection could 
>be RST).

You could do it, but it wouldn't get you what you wanted in the general
case (e.g., without the RST).  From Section 6.1.1 of RFC 3168:

      * A host MUST NOT set ECT on data packets unless it has sent at
        least one ECN-setup SYN or ECN-setup SYN-ACK packet, and has
        received at least one ECN-setup SYN or ECN-setup SYN-ACK packet,
        and has sent no non-ECN-setup SYN or non-ECN-setup SYN-ACK
        packet.  If a host has received at least one non-ECN-setup SYN
        or non-ECN-setup SYN-ACK packet, then it SHOULD NOT set ECT on
        data packets.

- Sally
http://www.aciri.org/floyd/